Folks.AliasDetails.change_alias – folks Reference Manual

# change_alias

## Description:

public virtual async void change_alias (string alias) throws PropertyError

Change the contact's alias.

It's preferred to call this rather than setting AliasDetails.alias directly, as this method gives error notification and will only return once the alias has been written to the relevant backing store (or the operation's failed).

## Parameters:

alias | the new alias

## Exceptions:

PropertyError | if setting the alias failed

## Since:

0.6.2